Installer.com Docs
POST
/api/v1/partner-organization-unclaimed

Creates a new partner organization with a name and a partnershipExternalId (your own id for the partner, used to refer to it in your systems), and immediately sets up an active partnership and routing availability so the new organization can send jobs to your organization (it will then appear in GET /v1/partners). ONLY use this endpoint if you know the partner is not already on the platform — creating a duplicate organization for a partner that already exists will fragment their data. Use GET /v1/partners first to check whether the partner already exists.

Authorization

Bearer
headerAuthorizationBearer <token>

Installer.com auth token

Request Body

Create partner organization payload

application/json
  1. body
name*string
Length1 <= length <= 150
partnershipExternalId*string
Length1 <= length <= 255

Response Body

Created partner organization

application/json
  1. response
id*string
Formatuuid
name*string
partnershipExternalId*string|null
Example Request
curl -X POST 'https://api.installer.com/api/v1/partner-organization-unclaimed' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "partnershipExternalId": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "partnershipExternalId": "string"}